Name:		net_monitor
Version:	0.06
Release:	%mkrel 1
Summary:	Network monitoring tool
License:	GPLv2
Group:		Monitoring
Url:		http://git.mandriva.com/?p=projects/net_monitor.git
Source0:	%{name}-%{version}.tar.bz2
Requires:	pygtk2.0
Requires:	python
Requires:	vnstat
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	libiw-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is a network monitoring tool for Mandriva Linux, intended to replace the
old net_monitor from drakx-net.  It supports graphical network monitoring and
some advanced features, such as network profiling, activity monitoring,
detailed logging and network traffic statistics with help of vnstat reporting.

%prep
%setup -q

%build
make all

%install
rm -rf %{buildroot}

make install

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS TODO
%_bindir/%{name}
%{py_platsitedir}/%{name}-%{version}-py*
%{py_platsitedir}/%{name}


%changelog
* Wed Oct 14 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.06-1mdv2010.0
+ Revision: 457417
- 0.06:
- support selecting default monitoring interface from command line
- support running from draknetcenter
- display interface icons when available

* Tue Oct 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.05-1mdv2010.0
+ Revision: 457191
- 0.05:
- prevent crashing when running for long time
- pretty-format traffic data

* Thu Oct 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.04-1mdv2010.0
+ Revision: 452202
- 0.04:
- simplified UI

* Wed Sep 30 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.03-1mdv2010.0
+ Revision: 451674
- 0.03:
- improved network traffic graphics
- displaying global system information in statusbar (routes, DNS, ...)

* Wed Sep 30 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.02-1mdv2010.0
+ Revision: 451116
- 0.02:
- largely improved execution overhead
- converted to use standard python routines
- interactively monitoring wireless link level
- correctly detecting network interface data
- displaying more detailed interface information
- using two fixed columns for interface data

* Fri Sep 25 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.01-1mdv2010.0
+ Revision: 448548
- first version.
- Created package structure for net_monitor.

